Loading...

Check Bucket Availability

Description

This API allows you to check the availability of a particular bucket present in Stratus. The bucket will be referred using its unique bucket name

Request Details

Request URL

HEAD

{api-domain}/baas/v1/project/{project_id}/bucket/{bucket_name}

copy

project_id
Numerical
The unique ID of the project

bucket_name
Alphanumerical

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope

ZohoCatalyst.buckets.READ

Response Details

The response can be any of the following status codes:

  • 200: If the bucket is available and if the user has the relevant permissions to access it.
  • 403: If the bucket exists, but the user does not have the relevant permissions to access the bucket.
  • 404: If the bucket does not exist.
Sample Request
copy

curl -X HEAD https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket?bucket_name=myBucketName/ -H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”